Name:          gnome-keyring
Version:       3.28.2
Release:       4
Summary:       A program that keep password and other secrets for users
License:       GPLv2+ and LGPLv2+
URL:           https://wiki.gnome.org/Projects/GnomeKeyring
Source0:       https://download.gnome.org/sources/%{name}/3.28/%{name}-%{version}.tar.xz

BuildRequires: gcc docbook-dtds docbook-style-xsl gettext intltool libcap-ng-devel libselinux-devel pam-devel
BuildRequires: openssh-clients libxslt
BuildRequires: pkgconfig(p11-kit-1) pkgconfig(gcr-3) >= 3.27.90 pkgconfig(glib-2.0) >= 2.44.0 libgcrypt-devel >= 1.2.2
Requires:      openssh gcr

%description
The program can manage several keyrings, each with its own master
password, and there is also a session keyring which is never stored to
disk, but forgotten when the session ends.

%package       pam
Summary:       Pam module for unlocking keyrings
License:       LGPLv2+
Requires:      %{name}%{?_isa} = %{version}-%{release} pam%{?_isa}

%description   pam
The gnome-keyring-pam package contains a pam module that can
automatically unlock the "login" keyring when the user logs in.

%package       help
Summary:       This package contains help documents

%description   help
Files for help with gnome-keyring.

%prep
%autosetup -p1

%build
%configure --with-pam-dir=%{_libdir}/security --enable-pam
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
%make_build

%install
%make_install
%find_lang gnome-keyring
%delete_la

%files -f gnome-keyring.lang
%doc AUTHORS NEWS COPYING COPYING.LIB README
%{_libdir}/pkcs11/*.so
%{_libdir}/gnome-keyring/devel/*.so
%{_bindir}/*
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/dbus-1/services/*.service
%{_sysconfdir}/xdg/autostart/*
%attr(0755,root,root) %caps(cap_ipc_lock=ep)

%files pam
%{_libdir}/security/*.so

%files help
%{_mandir}/man1/gnome-keyring.1*
%{_mandir}/man1/gnome-keyring-3.1*
%{_mandir}/man1/gnome-keyring-daemon.1*

%changelog
* Tue May 18 2021 lin.zhang <lin.zhang@turbolinux.com.cn> - 3.28.2-4
- add BuildRequires openssh-clients

* Fri Oct 18 2019 Yiru Wang <wangyiru1@huawei.com> - 3.28.2-3
- Pakcage init
